## yokadi 1.2.0

=== requirements.txt ===
sqlalchemy>=0.9, <0.9.99
python-dateutil==2.2

## yokadi 0.11.2

=== debian/changelog ===
yokadi (0.11.2-2) unstable; urgency=low

  * debian/yokadid.1:
    + Fixed spelling error in manpage
  * debian/rules:
    + Used *.1 to install manpages instead of giving separate manpage names
  * Converted package to new source format '3.0 (quilt)'

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Jan 2010 10:07:59 +0530

yokadi (0.11.2-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Tue, 01 Dec 2009 18:42:00 +0530

yokadi (0.11.1-2) unstable; urgency=low

  * debian/rules:
    + Added --prefix=/usr and --install-layout=deb options to setup.py to fix
      installation for Python >= 2.6 (Closes: #557944)
  * debian/control:
    + Bumped python dependency to 2.5.4-1~ as needed

 -- Kartik Mistry <kartik@debian.org>  Wed, 25 Nov 2009 23:11:46 +0530

yokadi (0.11.1-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch 01_fix_bashism.diff, merged with upstream
  * Removed README.source
  * debian/rules:
    + update/* should go to /usr/share/yokadi/update/ instead of
    /usr/share/doc/yokadi/update
    + Removed patch system
  * debian/control:
    + Changes as we removed patch system
    + Added Depends on sqlite3, needed for update.py script
  * debian/README.Debian
    + Added for providing details about yokadi database update
  * debian/*.1:
    + Fixed groff warnings

 -- Kartik Mistry <kartik@debian.org>  Wed, 18 Nov 2009 10:27:20 +0530

yokadi (0.10.0-3) unstable; urgency=low

  * debian/patches/01_fix_bashism.diff:
    + Added patch to fix bashism in xyokadi script, Fixed in upstream
      (Closes: #547766)
  * debian/control:
    + Added Build-Depends on quilt
    + Wrapped long description to 80 chars instead of 60 chars
  * debian/rules:
    + Changed for quilt patch system
  * Added debian/README.source file
  * debian/*.1:
    + Wrapped them to 80 chars

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Sep 2009 14:58:55 +0530

yokadi (0.10.0-2) unstable; urgency=low

  * debian/control:
    + Lower dependency on Python to >= 2.5.2 to make Lenny backport easy,
      Thanks to Sven Mueller <debian@incase.de>
    + Updated to Standards-Version 3.8.3 (no changes needed)
  * debian/watch:
    + Corrected from Ubuntu package
  * debian/rules:
    + Don't install stuffs in /usr/share/yokadi/
    + Don't compress README.markdown

 -- Kartik Mistry <kartik@debian.org>  Fri, 21 Aug 2009 09:32:58 +0530

yokadi (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #536272)
  * debian/yokadi.1, xyokadi.1, yokadid.1:
    + Added manpages for binaries

 -- Kartik Mistry <kartik@debian.org>  Wed, 15 Jul 2009 16:05:47 +0530

=== debian/control ===
Source: yokadi
Section: utils
Priority: extra
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python (>= 2.5.4-1~),
                     python-distutils-extra,
                     python-support (>= 1.0)
Standards-Version: 3.8.3
Homepage: http://yokadi.github.com/

Package: yokadi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python (>= 2.5.4~1),
         python-dateutil,
         python-sqlobject,
         sqlite3
Description: commandline todo system
 Yokadi is a command-line oriented, SQLite powered, TODO list tool.  It helps
 you organize all the things you have to do and you must not forget. It aims to
 be simple, intuitive and very efficient.
 .
 In Yokadi you manage projects, which contains tasks. At the minimum, a task
 has a title, but it can also have a description, a due date, an urgency or
 keywords. Keywords can be any word that help you to find and sort your tasks.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:

clean:
	dh_testdir
	dh_testroot
	rm -rf build
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	python setup.py install --root=$(CURDIR)/debian/yokadi \
				--prefix=/usr \
				--install-layout=deb

	# Don't install stuffs in /usr/share/yokadi/doc and others
	rm -rf $(CURDIR)/debian/yokadi/usr/share/yokadi/doc \
	       $(CURDIR)/debian/yokadi/usr/share/yokadi/NEWS \
	       $(CURDIR)/debian/yokadi/usr/share/yokadi/README.markdown \
	       $(CURDIR)/debian/yokadi/usr/share/yokadi/LICENSE \
	       $(CURDIR)/debian/yokadi/usr/share/yokadi/version

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installman debian/*.1
	dh_pysupport
	dh_link
	dh_compress --exclude=README.markdown
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yokadi 0.12.0

=== debian/changelog ===
yokadi (0.12.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated Standards-Version to 3.9.0 (no changes needed)
  * debian/copyright:
    + Updated as per DEP-5 specification
  * debian/*.1:
    + Removed manpages, merged upstream

 -- Kartik Mistry <kartik@debian.org>  Wed, 07 Jul 2010 19:53:48 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: python (>= 2.5.4-1~),
                      python-distutils-extra,
                      python-support (>= 1.0)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://yokadi.github.com/
 
 Package: yokadi

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	dh_testroot
 	dh_installchangelogs NEWS
 	dh_installdocs
-	dh_installman debian/*.1
+	dh_installman man/*.1
 	dh_pysupport
 	dh_link
 	dh_compress --exclude=README.markdown

## yokadi 0.13.0

=== debian/changelog ===
yokadi (0.13.0-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.9.4
    + Added VCS-* URLs.
  * debian/copyright:
    + Updated to copyright-format 1.0

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Oct 2013 14:17:08 +0530

yokadi (0.13.0-2) unstable; urgency=low

  * debian/patches/fix_t_describe:
    + Added patch from upstream to fix t_describe (Closes: #632593)
  * debian/rules:
    + Install /usr/share/yokadi/version now
    + Used -k flag to keep upstream changelogs name intact
    + Added missing binary-indep, binary-arch targets
    + Migrated to dh_python2
  * debian/control:
    + Removed dependency on python-support, bumped python build/depends
    + Updated Standards-Version to 3.9.2 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Tue, 05 Jul 2011 09:23:02 +0530

yokadi (0.13.0-1) unstable; urgency=low

  * New upstream release:
    + cryptographic support to encrypt tasks title and description. See README
      for more details.
  * debian/control:
    + Updated Standards-Version to 3.9.1 (no changes needed)
    + Depends on python-crypto
  * debian/copyright:
    + Updated as per latest DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 Apr 2011 17:21:32 +0530

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Priority: extra
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python (>= 2.5.4-1~),
-                     python-distutils-extra,
-                     python-support (>= 1.0)
-Standards-Version: 3.9.0
+Build-Depends-Indep: python (>= 2.6.6-3~), python-distutils-extra
+Standards-Version: 3.9.4
 Homepage: http://yokadi.github.com/
+Vcs-Git: git://anonscm.debian.org/collab-maint/yokadi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yokadi.git;a=summary
 
 Package: yokadi
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-         python (>= 2.5.4~1),
+Depends: python (>= 2.6.6-3~),
+         python-crypto,
          python-dateutil,
          python-sqlobject,
-         sqlite3
+         sqlite3,
+         ${misc:Depends},
+         ${python:Depends}
 Description: commandline todo system
  Yokadi is a command-line oriented, SQLite powered, TODO list tool.  It helps
  you organize all the things you have to do and you must not forget. It aims to

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 build:
+
+build-arch: build
+build-indep: build
 
 clean:
 	dh_testdir
@@ -25,18 +28,17 @@
 	rm -rf $(CURDIR)/debian/yokadi/usr/share/yokadi/doc \
 	       $(CURDIR)/debian/yokadi/usr/share/yokadi/NEWS \
 	       $(CURDIR)/debian/yokadi/usr/share/yokadi/README.markdown \
-	       $(CURDIR)/debian/yokadi/usr/share/yokadi/LICENSE \
-	       $(CURDIR)/debian/yokadi/usr/share/yokadi/version
+	       $(CURDIR)/debian/yokadi/usr/share/yokadi/LICENSE
 
 binary-arch:
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs NEWS
+	dh_installchangelogs -k NEWS
 	dh_installdocs
 	dh_installman man/*.1
-	dh_pysupport
+	dh_python2
 	dh_link
 	dh_compress --exclude=README.markdown
 	dh_fixperms
@@ -46,4 +48,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://yokadi.github.com/download.html download/yokadi-(.*)\.tar\.bz2

## yokadi 0.14.0

=== debian/changelog ===
yokadi (0.14.0-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch taken from upstream.
  * debian/patches/desktop_keyword.patch:
    + Added patch for Keywords in .desktop file
  * debbian/control:
    + Updated Standards-Version to 3.9.5
    + Updated Homepage field.
  * debian/copyright:
    + Updated Source field.
    + Updated copyright year.

 -- Kartik Mistry <kartik@debian.org>  Sun, 04 May 2014 18:18:45 +0530

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-distutils-extra
-Standards-Version: 3.9.4
-Homepage: http://yokadi.github.com/
+Standards-Version: 3.9.5
+Homepage: https://yokadi.github.io/
 Vcs-Git: git://anonscm.debian.org/collab-maint/yokadi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yokadi.git;a=summary
 
@@ -19,7 +19,7 @@
          ${misc:Depends},
          ${python:Depends}
 Description: commandline todo system
- Yokadi is a command-line oriented, SQLite powered, TODO list tool.  It helps
+ Yokadi is a command-line oriented, SQLite powered, TODO list tool. It helps
  you organize all the things you have to do and you must not forget. It aims to
  be simple, intuitive and very efficient.
  .

## yokadi 1.1.1

=== debian/changelog ===
yokadi (1.1.1-2) unstable; urgency=low

  * debian/control:
    + Removed X-Python-Version field.
    + Fixed Vcs-Git field.
    + Updated Standards-Version to 4.2.1
  * debian/rules:
    + Removed duplicate doc files.

 -- Kartik Mistry <kartik@debian.org>  Sun, 09 Sep 2018 21:12:20 +0530

yokadi (1.1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #844308)
  * Removed debian/patches/desktop_keyword.patch, no longer needed.
  * debian/control:
    + Updated Build-Dep on debhelper to 11.
    + Updated Standards-Version to 4.1.3
    + Fixed Vcs-* URLs.
    + Priority: extra->optional.
    + Updated dependency to use python3.
    + Added Recommends field from extra-requirements.txt.
  * Bumped debian/compat to 11.
  * Updated debian/copyright.
  * Updated debian/watch.
  * debian/rules:
    + Removed extra license file.
    + Use pybuild buildsystem.

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Jan 2018 09:36:45 -0800

=== debian/control ===
Source: yokadi
Section: utils
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 11), dh-python
Build-Depends-Indep: python3 (>= 3.4), python3-setuptools
Standards-Version: 4.2.1
Homepage: https://yokadi.github.io/
Vcs-Git: https://salsa.debian.org/debian/yokadi.git
Vcs-Browser: https://salsa.debian.org/debian/yokadi

Package: yokadi
Architecture: all
Depends: python3 (>= 3.4),
         python3-dateutil,
         python3-sqlalchemy,
         sqlite3,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-crypto, python3-icalendar, python3-setproctitle
Description: commandline todo system
 Yokadi is a command-line oriented, SQLite powered, TODO list tool. It helps
 you organize all the things you have to do and you must not forget. It aims to
 be simple, intuitive and very efficient.
 .
 In Yokadi you manage projects, which contains tasks. At the minimum, a task
 has a title, but it can also have a description, a due date, an urgency or
 keywords. Keywords can be any word that help you to find and sort your tasks.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install
	rm -f debian/yokadi/usr/share/yokadi/LICENSE
	rm -rf debian/yokadi/usr/share/yokadi/doc
	rm -f debian/yokadi/usr/share/yokadi/README.md

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://yokadi.github.com/download.html download/yokadi-(.*)\.tar\.bz2

## yokadi 1.2.0

=== debian/changelog ===
yokadi (1.2.0-4) unstable; urgency=low

  * debian/control:
    + Removed recommends on python3-crypto, cryptography code has been removed
      since 1.2.0 release.
    + Updated Standards-Version to 4.6.0
  * Updated debian/watch.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Mon, 04 Apr 2022 08:59:04 +0530

yokadi (1.2.0-3) unstable; urgency=low

  * debian/control:
    + Switch to debhelper-compat.
    + Updated Standards-Version to 4.5.0
    + Added 'Rules-Requires-Root' field.
  * Added debian/upstream/metadata.

 -- Kartik Mistry <kartik@debian.org>  Sun, 10 May 2020 13:52:54 +0530

yokadi (1.2.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Updated Standards-Version to 4.4.1
  * Bumped dh to 12.

 -- Kartik Mistry <kartik@debian.org>  Thu, 17 Oct 2019 16:52:59 +0530

yokadi (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * Fixed debian/watch.
  * debian/control:
    + Updated Standards-Version to 4.3.0
  * Added debian/gitlab-ci.yml pipeline.

 -- Kartik Mistry <kartik@debian.org>  Fri, 01 Mar 2019 12:47:22 +0530

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 11), dh-python
+Build-Depends: debhelper-compat (= 13), dh-python
 Build-Depends-Indep: python3 (>= 3.4), python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://yokadi.github.io/
 Vcs-Git: https://salsa.debian.org/debian/yokadi.git
 Vcs-Browser: https://salsa.debian.org/debian/yokadi
+Rules-Requires-Root: no
 
 Package: yokadi
 Architecture: all
@@ -17,7 +18,7 @@
          sqlite3,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-crypto, python3-icalendar, python3-setproctitle
+Recommends: python3-icalendar, python3-setproctitle
 Description: commandline todo system
  Yokadi is a command-line oriented, SQLite powered, TODO list tool. It helps
  you organize all the things you have to do and you must not forget. It aims to

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/agateau/yokadi/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## yokadi 1.3.0

=== requirements.txt ===
sqlalchemy==2.0.32
python-dateutil==2.8.2
colorama==0.4.6
pyreadline3==3.4.1; platform_system == 'Windows'

=== debian/changelog ===
yokadi (1.3.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3.
    + yokadi: Drop versioned constraint on python3 in Depends.

  [ Kartik Mistry ]
  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.7.0
  * debian/docs:
    + Removed NEWS, no longer provided.
    + Added CHANGELOG.md
  * Updated debian/watch.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Nov 2024 22:31:50 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python
-Build-Depends-Indep: python3 (>= 3.4), python3-setuptools
-Standards-Version: 4.6.0
+Build-Depends-Indep: python3, python3-setuptools
+Standards-Version: 4.7.0
 Homepage: https://yokadi.github.io/
 Vcs-Git: https://salsa.debian.org/debian/yokadi.git
 Vcs-Browser: https://salsa.debian.org/debian/yokadi
@@ -12,7 +12,7 @@
 
 Package: yokadi
 Architecture: all
-Depends: python3 (>= 3.4),
+Depends: python3,
          python3-dateutil,
          python3-sqlalchemy,
          sqlite3,

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install
	rm -f debian/yokadi/usr/share/yokadi/CHANGELOG.md
	rm -rf debian/yokadi/usr/share/yokadi/doc
	rm -f debian/yokadi/usr/share/yokadi/LICENSE
	rm -f debian/yokadi/usr/share/yokadi/README.md

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/agateau/yokadi/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
